INTERFACE
SUBROUTINE POSTPHY(KPROMA ,KST ,KEND ,LDFSTEP,LDMLPP, LDRS6,&
 & KLEVS ,KLEVXP ,KFLDXP ,KSTGLO,&
 & KFLDXP2,KLEVO ,PDTPHY,&
 & PRSAH,PUT9,PVT9,PTT9,PGFL,PAERODDF,PTENQ,&
 & PDELP9 ,PDIFTQ ,PDIFCQ ,PDIFTS ,PDIFCS,&
 & PFRSO ,PFRSOD ,PFRTH ,PFRTHD ,PUVDF ,PPARF ,PCAPE, PPARCF, PTINCF, PFDIR, PCDIR,&
 & PCBASE ,P0DEGL ,PVISIH,&
 & PFHPCL ,PFHPCN ,PFHPSL ,PFHPSN ,PFPLCL,&
 & PFPLCN ,PFPLSL ,PFPLSN ,PSTRCU ,PSTRCV ,PSTRDU ,PSTRDV,&
 & PFCCQN ,PFCCQL ,PFCSQN ,PFCSQL ,PFCQLNG,&
 & PFCQNNG,PSTRTU ,PSTRTV ,&
 & POROG ,PENES ,PFEVN,&
 & PGESLO ,PGECLO ,PVFLSM ,PVFCI,&
 & PVDZ0F,&
 & PTSAE1 ,PTLE1 ,PWSAE1,&
 & PISAE1,&
 & PWLE1 ,PSNSE1,&
 & PASNE1 ,PRSNE1 ,PTSNE1,&
 & PEXTRE1,PXTR2E1,&
 & PUOE1 ,PVOE1 ,PTOE1 ,PSOE1,&
 & PFSNNU1,&
 & PASNU1 ,PRSNU1 ,PTSNU1,&
 & PTSLNU1,PWRENU1,PTRENU1,PQLINU1,&
 & PTILINU1,&
 & PEXTRP1,PXTRP21,&
 & PUO1 ,PVO1 ,PTO1 ,PSO1,&
 & PRE9 ,PRE9F ,&
 & PWRENU0,PFCLL ,PFCLN,&
 & PTRENU0,PTSLNU0,PQLINU0,&
 & PTCLS,&
 & PQCLS ,PISUND ,PVDBLH ,PVDSUND,&
 & PITTRC ,PITSRC ,PISTRC ,PISSRC ,PI10FG, PILSPF,&
 & PVTTRC ,PVTSRC ,PVSTRC ,PVSSRC ,PVES, PVSMLT, PV10FG, PV10FG6, PVLSPF,PVVIMD,&
 & PUCLS ,PVCLS ,PVDLZ0H,PVDALB,&
 & PVLCC ,PVMCC ,PVHCC ,PVTCC,&
 & PVDIS ,PVDISG ,PUSTRG,&
 & PVSTRG ,PRUISS,&
 & PVDLSP ,PVDCP ,PVDSF ,PVDBLD ,PVDSSHF,PVDSLHF,PVDSP,PVDMSL,&
 & PVDSSR ,PVDSTR ,PVDSSRD,PVDSTRD,&
 & PVDTSR ,PVDTTR ,PVDUVDF,PVDPARF,PVDCAPE ,PVDPARCF, PVDTINCF, PVDFDIR, PVDCDIR,&
 & PVCBASE,PV0DEGL,PVVISIH,&
 & PVDIEWSS,PVDINSSS,&
 & PVDEWSS,PVDNSSS,PVDE ,PVDLGWS,PVDISSHF,PVDIE ,&
 & PVDTCW ,PVDTCWV,PVDTCLW,PVDTCIW,PVDTCRW,PVDTCSW,&
 & PVDMGWS,PVDGWD ,PVDMX2T,PVDMN2T,PVDMX2T6,PVDMN2T6,PVDRO,PVDSSRO,PVDSRO,PVDCSF,PVDLSSF,PVDTCO3,&
 & PVDTCAERO,PVDAEROF,PVDTCGHG,PVDTCTRAC,PVDTCGRG,PVDGFLF,PVDCO2O,PVDCO2B,PVDCO2A,PVDCO2F,&
 & PVDCH4AG,PVDCH4F,PVDSF6,&
 & PGNORDL,PGNORDM,PGEMU ,PGSQM2 ,PGELAM ,PGAW ,PFCQNG ,&
 & PFONTE ,PRUISP ,PDHTLS ,PDHTSS ,PDHTTS ,PDHTIS ,PDHSSS ,PDHIIS,&
 & PDHWLS ,PDHFSS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMDLR
USE YOMMDDH , ONLY : NDHCSSU ,NDHCVSUL ,NDDHI ,&
 & HDSF ,NDHVTLS ,NDHFTLS ,NDHVTSS ,NDHFTSS ,&
 & NDHVTTS ,NDHFTTS ,NDHVTIS ,NDHFTIS ,NDHVSSS ,&
 & NDHFSSS ,NDHVIIS ,NDHFIIS ,NDHVWLS ,NDHFWLS ,&
 & NDHVFS ,NDHFFS ,NFSVAR_AERO,NFSFLX_AERO 
USE YOMDPHY , ONLY : NCSI ,NCSNEC ,NTILES
USE SURFACE_FIELDS_MIX , ONLY : YSP_SBD
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YR, YS,&
 & YGHG, NGHG, YGRG, NGRG, LCO2SFC,&
 & YTRAC, NTRAC, LSF6SFC, LCH4SFC, YCH4S,YAERO,NACTAERO, LGRGSFC, LFIRE 
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVXP
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVO
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDXP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDXP2
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDFSTEP
LOGICAL ,INTENT(IN) :: LDMLPP
LOGICAL ,INTENT(IN) :: LDRS6
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PDTPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PRSAH(NPROMDLR,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT9(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(KPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERODDF(KPROMA,NACTAERO,7)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQ(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP9(KPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCQ(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFCS(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSOD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTHD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUVDF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAPE(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PPARCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTINCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFDIR(KPROMA), PCDIR(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCBASE(KPROMA), P0DEGL(KPROMA), PVISIH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPCN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPSN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRCV(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRDV(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCCQL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQN(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCSQL(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQLNG(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQNNG(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PENES(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFLSM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFCI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDZ0F(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSAE1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSAE1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PISAE1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PWLE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNSE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PASNE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSNE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSNE1(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PEXTRE1(KPROMA,KLEVXP,KFLDXP)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTR2E1(KPROMA,KFLDXP2)
REAL(KIND=JPRB) ,INTENT(IN) :: PUOE1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOE1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOE1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOE1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFSNNU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PASNU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRSNU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSNU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSLNU1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWRENU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTRENU1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLINU1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTILINU1(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTRP1(KPROMA,KLEVXP,KFLDXP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXTRP21(KPROMA,KFLDXP2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUO1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVO1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTO1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSO1(KPROMA,KLEVO)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE9F(KPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWRENU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRENU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSLNU0(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLINU0(KPROMA,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISUND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDBLH(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSUND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PITTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PITSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PISSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PI10FG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PILSPF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVTTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVTSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSTRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSSRC(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVES(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVSMLT(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10FG(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV10FG6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVLSPF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVIMD(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCLS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDLZ0H(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDALB(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVLCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVMCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVHCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVTCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDISG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSTRG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSTRG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDLSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDCP(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDBLD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSSHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSLHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDMSL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSSR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSTR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSSRD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSTRD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDTSR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDTTR(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDUVDF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDPARF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDCAPE(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDPARCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDTINCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCBASE(KPROMA), PV0DEGL(KPROMA), PVVISIH(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDFDIR(KPROMA) , PVDCDIR(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDIEWSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDINSSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDEWSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDNSSS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDE(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDLGWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDISSHF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDIE(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCWV(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCLW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCIW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCRW(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCSW(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDMGWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDGWD(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDMX2T(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDMN2T(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDMX2T6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDMN2T6(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDSSRO(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDCSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVDLSSF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCO3(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCAERO(KPROMA,NACTAERO)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDAEROF(KPROMA,NACTAERO,7)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCGHG(KPROMA,NGHG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCTRAC(KPROMA,NTRAC)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDTCGRG(KPROMA,NGRG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDGFLF(KPROMA,NGRG+NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCO2O(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCO2B(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCO2A(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCO2F(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCH4AG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDCH4F(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVDSF6(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAW(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCQNG(KPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PFONTE(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHTLS(KPROMA,NTILES,NDHVTLS+NDHFTLS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHTSS(KPROMA,NCSNEC,NDHVTSS+NDHFTSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHTTS(KPROMA,YSP_SBD%NLEVS,NDHVTTS+NDHFTTS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHTIS(KPROMA,NCSI,NDHVTIS+NDHFTIS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHSSS(KPROMA,NCSNEC,NDHVSSS+NDHFSSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHIIS(KPROMA,NDHVIIS+NDHFIIS)
REAL(KIND=JPRB) ,INTENT(IN) :: PDHWLS(KPROMA,YSP_SBD%NLEVS,NDHVWLS+NDHFWLS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDHFSS(KPROMA,NDHVFS+NDHFFS)
END SUBROUTINE POSTPHY
END INTERFACE
